## efilinux-signed 1.0

=== Makefile ===
all: efilinux.efi.signed

efilinux.efi.signed:
	./download-efilinux

install: efilinux.efi.signed
	install -d $(DESTDIR)/usr/lib/efilinux-signed
	install -m0644 efilinux.efi.signed version \
		$(DESTDIR)/usr/lib/efilinux-signed/

clean:
	rm -f efilinux.efi.signed version

=== debian/changelog ===
efilinux-signed (1.0) quantal; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 16:51:54 +0100

=== debian/control ===
Source: efilinux-signed
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt
Standards-Version: 3.9.3

Package: efilinux-signed
Architecture: linux-amd64
Depends: ${misc:Depends}
Description: Signed UEFI bootloader
 efilinux is a simple UEFI bootloader.  This version of it is signed with
 Canonical's UEFI signing key.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE := 1

VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

%:
	dh $@

docdir := debian/efilinux-signed/usr/share/doc/efilinux-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(VERSION)+$(shell cat version)
